2019-08-24 02:46 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005320Spring enginepublic2016-07-28 00:15
ReporterFabriceFABS 
Assigned Tohokomoko 
PriorityhighSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version 
Summary0005320: Game crashed with no error.
DescriptionGame crashed with no error.

Some partial infolog :
**
[f=0049881] [CrashHandler] Error: Segmentation fault (SIGSEGV) in spring 103.0.1-11-ge7544ad develop
[f=0049881] [CrashHandler] Error: Halted Stacktrace for Spring 103.0.1-11-ge7544ad develop using libunwind:
[f=0049881] [CrashHandler] Error: [00] .../spring() [0x8da8cf] log_util_prepareSection
[f=0049881] [CrashHandler] Error: [01] .../spring() [0x8daa6b] log_util_prepareSection
[f=0049881] [CrashHandler] Error: [02] /lib/x86_64-linux-gnu/libpthread.so.0(+0x10330) [0x7faa04910330] __restore_rt
[f=0049881] [CrashHandler] Error: [03] .../spring() [0x7670a5] std::__detail::_Hash_node<std::pair<std::string const, std::string>, true>* std::_Hashtable<st [...]
[f=0049881] [CrashHandler] Error: [04] .../spring() [0x815c2d] std::_Deque_base<std::function<void ()>, std::allocator<std::function<void ()> > >::_M_initial [...]
[f=0049881] [CrashHandler] Error: [05] .../spring() [0x548ebb] std::_List_base<std::string, std::allocator<std::string> >::_M_clear()
[f=0049881] [CrashHandler] Error: [06] .../spring() [0x626472] std::_Rb_tree<void const*, std::pair<void const* const, boost::detail::tss_data_node>, std::_S [...]
[f=0049881] [CrashHandler] Error: [07] .../spring() [0x55083a] std::_List_base<std::string, std::allocator<std::string> >::_M_clear()
[f=0049881] [CrashHandler] Error: [08] .../spring() [0x8859e8] safe_strcat
[f=0049881] [CrashHandler] Error: [09] .../spring() [0x88ad48] safe_strcat
[f=0049881] [CrashHandler] Error: [10] .../spring() [0x860c15] std::runtime_error::what() const
[f=0049881] [CrashHandler] Error: [11] .../spring() [0x86140c] std::runtime_error::what() const
[f=0049881] [CrashHandler] Error: [12] /build/eglibc-oGUzwX/eglibc-2.19/csu/libc-start.c:321 __libc_start_main
[f=0049881] [CrashHandler] Error: [13] .../spring() [0x51fb29] _start
[f=0049881] Error: [ErrorMessageBox][1] msg="Spring has crashed:
Segmentation fault (SIGSEGV).
**

COMPLETE INFOLOG : http://paste.springfiles.com/view/43beaf43

Replay will be linked later.
Resuming game.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016569

FabriceFABS (reporter)

No resume finally.
Replay : http://replays.springrts.com/replay/9d2599575a805d07b4eac875394abc2b.

Crashed nearly 1 min before end of the time ~ 30 mins.

~0016570

jamerlan (reporter)

I was a spectator and my infolog is:
http://pastebin.com/v5tjnJjG

But looks like 1 player not crashed and we have a replay:
http://replays.springrts.com/replay/9d2599575a805d07b4eac875394abc2b

~0016571

hokomoko (developer)

https://github.com/spring/spring/tree/103.0.1-11-ge7544ad

rts/Rendering/Env/Decals/GroundDecalHandler.cpp:971
rts/Game/Game.cpp:1475
rts/System/Sync/SyncChecker.h:37
rts/Game/Game.cpp:969
rts/System/SpringApp.cpp:980
rts/System/SpringApp.cpp:1016
rts/System/Main.cpp:48
rts/System/Main.cpp:107
/opt/mxe/tmp-gcc/gcc-4.8.1/mirror-mingw-w64-c28722c/trunk/mingw-w64-crt/crt/crtexe.c:317
??:0
??:0
??:0

~0016572

hokomoko (developer)

Fix b285264c9da02ea289c5f194d382b088661cb220 committed to develop branch: Fix 0005320, repo: spring changeset id: 7236
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-07-27 23:51 FabriceFABS New Issue
2016-07-27 23:52 FabriceFABS Note Added: 0016569
2016-07-27 23:53 jamerlan Note Added: 0016570
2016-07-28 00:14 hokomoko Note Added: 0016571
2016-07-28 00:15 hokomoko Changeset attached => spring develop b285264c
2016-07-28 00:15 hokomoko Note Added: 0016572
2016-07-28 00:15 hokomoko Assigned To => hokomoko
2016-07-28 00:15 hokomoko Status new => resolved
2016-07-28 00:15 hokomoko Resolution open => fixed
+Issue History